> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hubto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/rerank

> Rerank 文本重排接口。

## 用途

用于对候选文本结果做相关性重排。

## 请求

* Method: `POST`
* URL: `https://api.hubto.ai/v1/rerank`
* Auth: `Authorization: Bearer YOUR_API_KEY`
* Content-Type: `application/json`

## 最小请求体

```json theme={null}
{
  "model": "rerank-v1",
  "query": "统一大模型网关",
  "documents": [
    "HubTo 提供统一 API 入口。",
    "今天上海天气晴。"
  ]
}
```

## 请求示例

```bash theme={null}
curl https://api.hubto.ai/v1/rerank \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "rerank-v1",
    "query": "统一大模型网关",
    "documents": [
      "HubTo 提供统一 API 入口。",
      "今天上海天气晴。"
    ]
  }'
```

## 返回

成功时返回带分数的重排结果列表。
